Skip to content

Get transactions for a wallet

GET
/api/wallets/{address}/transactions
curl --request GET \
--url 'https://api.qeychain.xyz/api/wallets/example/transactions?page=1&limit=50'

Returns paginated transaction history for a wallet address.

address
required
Address
string
page
Page

Page number

integer
default: 1 >= 1

Page number

limit
Limit

Items per page

integer
default: 50 >= 1 <= 100

Items per page

chain
Any of:
string

Filter by chain

owned_wallets
Any of:
Array<string>

All owned wallet addresses

Successful Response

Media typeapplication/json
PaginatedTransactionsResponse

Paginated list of transactions.

object
transactions
required
Transactions
Array<object>
TransactionResponse

Transaction information.

object
id
required
Id

Transaction ID (UUID)

string
hash
required
Hash

Transaction hash

string
operation_type
required
Operation Type

Type of operation

string
timestamp
required
Timestamp

Transaction timestamp

string format: date-time
chain
required
Chain

Blockchain network

string
transfers
Any of:
Array<object>
object
key
additional properties
any
fee
Any of:
object
key
additional properties
any
status
Any of:
string
total
required
Total

Total number of transactions

integer
page
required
Page

Current page number

integer
limit
required
Limit

Items per page

integer
has_more
required
Has More

Whether more pages exist

boolean
Examplegenerated
{
"transactions": [
{
"id": "example",
"hash": "example",
"operation_type": "example",
"timestamp": "2026-04-15T12:00:00Z",
"chain": "example",
"transfers": [
{}
],
"fee": {},
"status": "example"
}
],
"total": 1,
"page": 1,
"limit": 1,
"has_more": true
}

Bad Request

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Not Found

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}

Internal Server Error

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}